#
# spec file for package xview (Version 3.2p1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         xview
Version:      3.2p1.4
Release:      109
Summary:      XView (OpenLook) Base system
Copyright:    	1990-1992 Sun Microsystems, Inc.
Group:        	X11/Libraries
Provides:	xv32base
Obsoletes:	xv32base
Source: 	%{name}-%{version}.src.tar.bz2
Source1:	%{name}-more_clients.tar.bz2
Patch:		%{name}-%{version}.gccwarnings.diff.bz2
Patch1:		%{name}-%{version}.configure.diff.bz2
Patch2:		%{name}-%{version}.fixes.diff.bz2
Patch3:		%{name}-more_clients.diff.bz2
#  
#Patch9:		%{name}-%{version}.patch
#
BuildRoot:	%{_tmppath}/buildroot-%{name}
#

%description
XView (X Window-System-based Visual/Integrated Environment for Workstations)
is a user-interface toolkit to support interactive, graphics-based
applications running under the X Window System.  XView provides a set of
pre-built, user-interface objects such as canvases, scrollbars, menus, and
control panels.  The appearance and functionality of these objects follow
the OPEN LOOK Graphical User Interface (GUI) specification.  XView features
an object-oriented style Application Programmer's Interface (API) that is
straightforward and easy to learn.

SuSE series: xv

%prep
%setup -q -n %{name}-%{version} -a 1
%patch -P 0 -P 1 -P 2 -P 3 
%{?PATCH9:%patch -P 9}

%build
. Build-LinuxXView.bash libs clients contrib olvwm

%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT 
. Build-LinuxXView.bash instlibs instclients instcontrib instolvwm instfinish
gzip --best $RPM_BUILD_ROOT/usr/openwin/man/man?/*
gzip --best $RPM_BUILD_ROOT/usr/openwin/lib/help/*.info

%clean
rm -rf $RPM_BUILD_ROOT
%package -n olvwm
Summary:      OpenLook Virtual Window Manager and clients
Version:      4.1
Release:      109
Group: 		X11/Window Managers
Provides:	windowmanager
Provides:	xv32base:/usr/openwin/bin/cmdtool

%description -n olvwm
Olvwm (OPEN LOOK virtual window manager) is an ICCCM compliant window manager
supplied for use with the XView toolkit.  It is derived from olwm, the
OPEN LOOK window manager. This version of olvwm is based on version 3 of the
XView release, with support for 24-bit color modes.
Also included are clients and utilties for OpenWindows, like cmdtool, shelltool,
textedit, meminfo, props and some more.

Authors:
--------
    Scott Oaks <scott.oaks@East.Sun.COM>

SuSE series: xwm

%package devel
Summary:      XView (OpenLook) development kit
Group: 		Development/Libraries
Provides:	xv32dev xv32slib
Obsoletes:	xv32dev xv32slib

%description devel
Imake-configuration, header files and static libraries needed to
develop applications, using the XView libraries.

SuSE series: xv

%package devel-examples
Summary:      XView (OpenLook) development example programs and tutorials
Group: 		Development/Libraries
Requires: 	xview-devel
Provides:	xv32exmp
Obsoletes:	xv32exmp

%description devel-examples
Example programs which demonstrate the basics of XView programming,
and documents on the XView API.

SuSE series: xv


%files
%dir	/usr/openwin
%dir	/usr/openwin/lib
	/usr/openwin/lib/libolgx.so.*
	/usr/openwin/lib/libxview.so.*
%dir	/usr/openwin/man
%dir	/usr/openwin/man/man1
%doc	/usr/openwin/man/man1/xview.1x.gz
%dir	/usr/openwin/share
%dir	/usr/openwin/share/locale
%dir	/usr/openwin/share/locale/C
%dir	/usr/openwin/share/locale/C/props
%config	/usr/openwin/share/locale/C/props/C
%config	/usr/openwin/share/locale/C/props/basic_setting

%files -n olvwm
%dir	/usr/openwin
	/usr/openwin/bin
	/usr/openwin/etc
%dir	/usr/openwin/include
	/usr/openwin/include/images
	/usr/openwin/include/bitmaps
%dir	/usr/openwin/lib
%doc	/usr/openwin/lib/help
	/usr/openwin/lib/text_extras_menu
%config	/usr/openwin/lib/.text_extras_menu
	/usr/openwin/lib/textswrc
%config	/usr/openwin/lib/.textswrc
	/usr/openwin/lib/ttyswrc
%config	/usr/openwin/lib/.ttyswrc
%config	/usr/openwin/lib/openwin-menu*
%config	/usr/openwin/lib/Xinitrc
%dir	/usr/openwin/man
%dir	/usr/openwin/man/man1
%doc	/usr/openwin/man/man1/[a-w]*

%files devel
%config /usr/X11R6/lib/X11/config/*
%dir	/usr/openwin
%dir	/usr/openwin/lib
	/usr/openwin/lib/libolgx.a
	/usr/openwin/lib/libolgx.so
	/usr/openwin/lib/libxview.a
	/usr/openwin/lib/libxview.so
%dir	/usr/openwin/include
	/usr/openwin/include/olgx_private
	/usr/openwin/include/xview
	/usr/openwin/include/xview_private
	/usr/openwin/include/pixrect

%files devel-examples
%dir	/usr/openwin
%dir	/usr/openwin/share
	/usr/openwin/share/src
%doc	/usr/openwin/share/doc

%changelog -n xview
* Tue Apr 24 2001 - ma@suse.de
- let 'olvwm' provide 'windowmanager'
* Wed Apr 18 2001 - ma@suse.de
- fixed specfile to work with bash-2.04 as well as with bash-2.05
* Wed Apr 11 2001 - froh@suse.de
- changes for __powerpc__ also apply for __s390__ and __s390x__
* Tue Apr 03 2001 - ma@suse.de
- fixed occurrences of compiler directives used inside a macro argument
* Wed Mar 14 2001 - ma@suse.de
- Specfile now uses 'BuildRoot'
- No longer provide a private 'xgettext'
- Renamed and rearranged the 'xv32*' packages.
- Package 'xview' substitutes 'xv32base', but all client applications
  have been moved to 'olvwm' subpackage, leaving the shared libraries alone.
- Package 'olvwm' now provides the client applications (cmdtool,
  shelltool, ...) too.
- Package 'xview-devel' substitutes 'xv32dev' and 'xv32slib'
  (Imake-configuration, header files and static libraries).
- Package 'xview-devel-examples' substitutes 'xv32exmp'.
- Patch 'gccwarnings.diff' is just to prevent hundreds of warnings,
  most of them fixed by replacing 'NULL'(char*) with 'XV_NULL'(unsigned) or
  '\0'(char).
- Patch 'configure.diff' contains changes to the Imake configuration.
- Patch 'fixes.diff' contains changes to the source code.
